Package Search
 
Members: 353 | Topics: 767 | Posts: 3211
We welcome our newest member: ClintBarton
Info
» You aren't logged in, login or registerOnline: No members and 7 guests | Time: 01:35
[solved]KDE as default Desktop
paldo Support Forum    paldo    General Discussion
Reply Reply   Subscribe Topic Subscribe Topic
35 posts found.Page: 1 2 3 4
This topic contains previous posts. Back
 First spec 20081026
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
You can take a look into the spec here:

http://forum.paldo.org/~amnon/kde-live-cd/specs/paldo-live.xml

I don't know if this build I'll get in couple of minutes works at all.
If it do I'll upload it to the server so you guys can test it.
Since we are a gnome distribution not all gnome-packages can be removed.
To build a pure kde-paldo we need a separate installer and other stuff.
Maybe in the future we build a kde-team if more people want to have a kde-live-cd of paldo.
Profile   Private Message   E-Mail
Created: 2008-10-26 13:21
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Well it isn't simple at all to build a kde-image without gnome-packages. I did 3 images now. 2 failed at build and one didn't start the desktop.

Now I removed gdm and start the fourth image. I'll see if I can start kde with startkde then. This will not be the best solution but a first step ...
Profile   Private Message   E-Mail
Created: 2008-10-26 16:54
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Junior Mitglied
 
 
 
Posts: 64
Registered: 2008-10-22
Hello,

sounds oneself nevertheless already well.

Greetings
Andreas
Profile   Private Message   E-Mail   Web
Created: 2008-10-26 18:05
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Well I've a "working" kde-live-cd here. upkg-upgrade works, kde you've to start manually. Now I write a init.d-script for kdm and build the fifth image. Seems we are going somewhere here. kdm and the desktop looking stylish, that can I tell you now.

[update]

upkg-upgrade suggests some not needed gnome-packages. I didn't test it to remove them atm but I will soon after the build of the fifth image is done. Hope upkg-upgrade won't break anything.

Image is around 990 mb so it won't fit on one cd. I added all kde-packages, so maybe we will remove some to get it fit. Also I only do x86-images atm.
Profile   Private Message   E-Mail
Created: 2008-10-26 18:26 | Modified: 2008-10-26 18:29 by Amnon82
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Maybe something is wrong with my script:

Code[In neuem Fenster öffnen]
#!/bin/bash
### BEGIN INIT INFO
# Provides: kdm
# Required-Start: $local_fs $network $syslog hotplug cups
# Required-Stop: $local_fs $network $syslog hotplug cups
# Default-Start: 5
# Default-Stop: 0 1 2 3 4 6
### END INIT INFO

PATH=/bin:/usr/bin:/sbin:/usr/sbin
DAEMON=/usr/bin/kdm
PIDFILE=/var/run/kdm.pid
UPGRADEFILE=/var/run/kdm.upgrade

test -x $DAEMON || exit 0

# uncomment, if you want auto-logon to be runlevel-dependant
#test "$runlevel" || { runlevel=`runlevel`; runlevel=${runlevel#* }; }
#test "$runlevel" = 4 && ARG=-autolog || ARG=-noautolog

# uncomment, if you want tons of debug info in your syslog
#ARG="$ARG -debug 255"

# If we upgraded the daemon, we can't use the --exec argument to
# start-stop-daemon since the inode will have changed. The risk here is that
# in a situation where the daemon died, its pidfile was not cleaned up, and
# some other process is now running under that pid, start-stop-daemon will send
# signals to an innocent process. However, this seems like a corner case.
# C'est la vie!
if [ -e $UPGRADEFILE ]; then
SSD_ARGS="--pidfile $PIDFILE --startas $DAEMON"
else
SSD_ARGS="--pidfile $PIDFILE --exec $DAEMON"
fi

stillrunning () {
if expr "$(cat /proc/$DAEMONPID/cmdline 2> /dev/null)" : "$DAEMON" > /dev/null 2>&1; then
true
else
# if the daemon does not remove its own pidfile, we will
rm -f $PIDFILE $UPGRADEFILE
false
fi;
}

case "$1" in
start)
echo -n "Starting K Display Manager: kdm"
start-stop-daemon --start --quiet $SSD_ARGS -- $ARG || echo -n " already running"
echo "."
;;

restart)
/etc/init.d/kdm stop
if [ -f $PIDFILE ]; then
if stillrunning; then
exit 1
fi
fi
/etc/init.d/kdm start
;;

reload)
echo -n "Reloading K Display Manager configuration..."
if start-stop-daemon --stop --signal 1 --quiet $SSD_ARGS; then
echo "done."
else
echo "kdm not running."
fi
;;

force-reload)
/etc/init.d/kdm reload
;;

stop)
echo -n "Stopping K Display Manager: kdm"
if [ ! -f $PIDFILE ]; then
echo " not running ($PIDFILE not found)."
exit 0
else
DAEMONPID=$(cat $PIDFILE | tr -d '[:blank:]')
KILLCOUNT=1
if [ ! -e $UPGRADEFILE ]; then
if start-stop-daemon --stop --quiet $SSD_ARGS; then
# give kdm's signal handler a second to catch its breath
sleep 1
else
echo -n " not running"
fi
fi
while [ $KILLCOUNT -le 5 ]; do
if stillrunning; then
kill $DAEMONPID
else
break
fi
sleep 1
KILLCOUNT=$(( $KILLCOUNT + 1 ))
done
if stillrunning; then
echo -n " not responding to TERM signal (pid $DAEMONPID)"
else
rm -f $UPGRADEFILE
fi
fi
echo "."
;;

*)
echo "Usage: /etc/init.d/kdm {start|stop|restart|reload|force-reload}"
exit 1
;;
esac

exit 0


it starts kdm but I don't have mouse and keyboard, only after I restart kdm with
sudo /etc/init.d/kdm restart

Burning now the 950 mb image on dvd to test it on a real pc.
Profile   Private Message   E-Mail
Created: 2008-10-26 19:19
Highlight selected Text   Edit   Delete   Quote Reply
 arg I hate kdm
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Well I don't find the bug. I make a seventh image now with this script:

Code[In neuem Fenster öffnen]
#!/bin/sh
# /etc/init.d/kdm: start or stop the X display manager
# Script originally stolen from the xdm package
#
# description: K Display Manager
#
set -e

# To start kdm even if it is not the default display manager, change
# HEED_DEFAULT_DISPLAY_MANAGER to "false."
HEED_DEFAULT_DISPLAY_MANAGER=false
DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager

PATH=/bin:/usr/bin:/sbin:/usr/sbin
DAEMON=/usr/bin/kdm
PIDFILE=/var/run/kdm.pid
UPGRADEFILE=/var/run/kdm.upgrade

test -x $DAEMON || exit 0

# uncomment, if you want auto-logon to be runlevel-dependant
#test "$runlevel" || { runlevel=`runlevel`; runlevel=${runlevel#* }; }
#test "$runlevel" = 4 && ARG=-autolog || ARG=-noautolog

# uncomment, if you want tons of debug info in your syslog
#ARG="$ARG -debug 255"

# If we upgraded the daemon, we can't use the --exec argument to
# start-stop-daemon since the inode will have changed. The risk here is that
# in a situation where the daemon died, its pidfile was not cleaned up, and
# some other process is now running under that pid, start-stop-daemon will send
# signals to an innocent process. However, this seems like a corner case.
# C'est la vie!
if [ -e $UPGRADEFILE ]; then
SSD_ARGS="--pidfile $PIDFILE --startas $DAEMON"
else
SSD_ARGS="--pidfile $PIDFILE --exec $DAEMON"
fi

stillrunning () {
if expr "$(cat /proc/$DAEMONPID/cmdline 2> /dev/null)" : "$DAEMON" > /dev/null 2>&1; then
true
else
# if the daemon does not remove its own pidfile, we will
rm -f $PIDFILE $UPGRADEFILE
false
fi;
}

case "$1" in
start)
if [ -e $DEFAULT_DISPLAY_MANAGER_FILE ] &&
[ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] &&
[ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" != "$DAEMON" ]; then
echo "Not starting K Display Manager (kdm); it is not the default display manager."
else
echo -n "Starting K Display Manager: kdm"
start-stop-daemon --start --quiet $SSD_ARGS -- $ARG || echo -n " already running"
echo "."
fi
;;

restart)
/etc/init.d/kdm stop
if [ -f $PIDFILE ]; then
if stillrunning; then
exit 1
fi
fi
/etc/init.d/kdm start
;;

reload)
echo -n "Reloading K Display Manager configuration..."
if start-stop-daemon --stop --signal 1 --quiet $SSD_ARGS; then
echo "done."
else
echo "kdm not running."
fi
;;

force-reload)
/etc/init.d/kdm reload
;;

stop)
echo -n "Stopping K Display Manager: kdm"
if [ ! -f $PIDFILE ]; then
echo " not running ($PIDFILE not found)."
exit 0
else
DAEMONPID=$(cat $PIDFILE | tr -d '[:blank:]')
KILLCOUNT=1
if [ ! -e $UPGRADEFILE ]; then
if start-stop-daemon --stop --quiet $SSD_ARGS; then
# give kdm's signal handler a second to catch its breath
sleep 1
else
echo -n " not running"
fi
fi
while [ $KILLCOUNT -le 5 ]; do
if stillrunning; then
kill $DAEMONPID
else
break
fi
sleep 1
KILLCOUNT=$(( $KILLCOUNT + 1 ))
done
if stillrunning; then
echo -n " not responding to TERM signal (pid $DAEMONPID)"
else
rm -f $UPGRADEFILE
fi
fi
echo "."
;;

*)
echo "Usage: /etc/init.d/kdm {start|stop|restart|reload|force-reload}"
exit 1
;;
esac

exit 0
Profile   Private Message   E-Mail
Created: 2008-10-26 21:01
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Well I don't found a solution for kdm. It blocks mouse and keyboard after start.
I build ten images and it is always the same. kdm starts but blocks. If you restart it it works. Maybe somebody of you will find a solution for it. All you need you can find here:

http://paldo.org/~amnon/kde-live-cd/

also the iso I uploaded.
Profile   Private Message   E-Mail
Created: 2008-10-26 22:45
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
I made a little video how it is atm with starting kdm:

paldo.kde.26.10.2008.avi



Hope it helps you to understand the problem ...

I also posted it at kde.org:

http://forum.kde.org/showthread.php?tid=9672
Profile   Private Message   E-Mail
Created: 2008-10-26 23:11 | Modified: 2008-10-26 23:49 by Amnon82
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Junior Mitglied
 
 
 
Posts: 64
Registered: 2008-10-22
Hello,

I have tested the KDE-Live-DVD and after KDM is started remains the screen black.

I have to log at all no possibility in me into a KDE meeting.

Greetings
Andreas
Profile   Private Message   E-Mail   Web
Created: 2008-10-27 04:25 | Modified: 2008-10-27 05:20 by Andreas
Highlight selected Text   Edit   Delete   Quote Reply
 Re: [solved]KDE as default Desktop
Moderator
 
 
Linux-Dude
 
Posts: 1187
Registered: 2006-11-23
Press the keyboard-combination CTRL+ALT+F1 to start a system-console.
Login with paldo:paldo (user:password) and run

Code[In neuem Fenster öffnen]
sudo /etc/init.d/kdm restart


Then kdm should start. That the screen gets black happend also on my real machine.
I don't know why it happens.
Profile   Private Message   E-Mail
Created: 2008-10-27 08:36 | Modified: 2008-10-27 08:37 by Amnon82
Highlight selected Text   Edit   Delete   Quote Reply
This topic contains further posts. Next
Page: 1 2 3 4
Subscribe Topic Subscribe Topic
powered by bitron board 1.23a